tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
TCLAP::OptionalUnlabeledTracker Class Reference

`#include <OptionalUnlabeledTracker.h>`

## Static Public Member Functions
static void | check (bool req, const std::string &argName)
static void | gotOptional ()
static bool & | alreadyOptional ()

## Detailed Description

Definition at line 31 of file OptionalUnlabeledTracker.h.

## Member Function Documentation

static bool& TCLAP::OptionalUnlabeledTracker::alreadyOptional | ( |  | ) |
| inline static

Definition at line 40 of file OptionalUnlabeledTracker.h.

Referenced by check().

void TCLAP::OptionalUnlabeledTracker::check | ( | bool | req,
|  | const std::string & | argName
| ) |  |
| inline static

Definition at line 48 of file OptionalUnlabeledTracker.h.

References alreadyOptional(), and gotOptional().

Referenced by TCLAP::UnlabeledMultiArg< T >::UnlabeledMultiArg(), and TCLAP::UnlabeledValueArg< T >::UnlabeledValueArg().

static void TCLAP::OptionalUnlabeledTracker::gotOptional | ( |  | ) |
| inline static

Definition at line 38 of file OptionalUnlabeledTracker.h.

Referenced by check().

The documentation for this class was generated from the following file:

- OptionalUnlabeledTracker.h